// IzvodiTest.java - Ispitivanje stvaranja izvoda.

import izvodi.*;
import usluge.Greka;

public class IzvodiTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    ZbirFun zbir = new ZbirFun(Integer.parseInt(varg[0]));
    try {
      radi: while (true) {
        System.out.print("Vrsta (M, E, *)? ");
        switch (skn.next()) {
          case "m": case "M":
            System.out.print("a,b? ");
            zbir.dodaj(new Monom (skn.nextDouble(), skn.nextDouble()));
            break;
          case "e": case "E":
            System.out.print("a,b? ");
            zbir.dodaj(new Ekspon(skn.nextDouble(), skn.nextDouble()));
            break;
          case "*": break radi;
          default:
            throw new Greka("Nedozvoljen izbor!");
        }
      }
      Fun izvod = zbir.izv();
      System.out.println("Fun= " + zbir );
      System.out.println("Izv= " + izvod);
      double xmin = Double.parseDouble(varg[1]),
             xmax = Double.parseDouble(varg[2]),
             dx   = Double.parseDouble(varg[3]);
      for (double x=xmin; x<=xmax; x+=dx)
        System.out.println(x + "\t" + zbir.f(x) + "\t" + izvod.f(x));
    } catch (GreZbirFunPun | Greka g) { System.out.println(g); }
  }
}
