// Lista1a.java - Klasa listi celih brojeva (iterativno).

class Lista1a {
  
  private Elem prvi;               // Poetak liste.
                                   // Inicijalizacija:
  public Lista1a() {}              // - prazna lista,
  
  public Lista1a(int b)            // - lista od jednog broja.
    { prvi = new Elem(b); }
  
  public void prazni()             // Pranjenje liste.
    { prvi = null; }
 
  public int du() {               // Broj elemenata liste.
    int n = 0;
    for (Elem tek=prvi; tek!=null; tek=tek.sled) n++;
    return n;
  }
  
  public String toString() {       // Tekstualni opis.
    String s = "";
    for (Elem tek=prvi; tek!=null; tek=tek.sled) s += tek.broj + " ";
    return s;
  }
  
  public void naPoetak(int b) {   // Dodavanje na poetak.
    prvi = new Elem(b, prvi);
  }

  public void naKraj(int b) {      // Dodavanje na kraj.
    Elem novi = new Elem(b);
    if (prvi == null) prvi = novi;
    else {
      Elem tek = prvi;
      while (tek.sled != null)
        tek = tek.sled;
      tek.sled = novi;
    }
  }
  
  // itanje liste stavljajui brojeve na kraj.
  public void itaj1(int n, java.util.Scanner skn) {
    prvi = null;
    for (int i=0; i<n; i++)
      prvi = new Elem(skn.nextInt(), prvi);
  }
  
  // itanje liste stavljajui brojeve na kraj.
  public void itaj2(int n, java.util.Scanner skn) {
    Elem posl = prvi = null;
    for (int i=0; i<n; i++) {
      Elem novi = new Elem(skn.nextInt());
      if (prvi == null) prvi = novi;
        else posl.sled = novi;
      posl = novi;
    }
  }
      
  public void umetni(int b) {      // Umetanje u ureenu listu.
    Elem tek = prvi, pret = null;
    while (tek != null &&
           tek.broj < b)
      { pret = tek; tek = tek.sled; }
    Elem novi = new Elem(b, tek);
    if (pret == null) prvi = novi;
      else pret.sled = novi;
  }
 
  public void izostavi(int b) {    // Izostavljanje svakog
    Elem tek = prvi, pret = null;  //   pojavljivanja broja.
    while (tek != null)
      if (tek.broj != b) {
        pret = tek; tek = tek.sled;
      } else {
        tek = tek.sled;
        if (pret == null) prvi = tek;
          else pret.sled = tek;
      }
  }
}
