// Lista1b.java - Klasa listi celih brojeva (rekurzivno).

class Lista1b {

  private Elem prvi;               // Poetak liste.
                                   // Inicijalizacija:
  public Lista1b() {}              // - prazna lista,

  public Lista1b(int b)            // - lista od jednog broja.
    { prvi = new Elem(b); }

  public void prazni()             // Pranjenje liste.
    { prvi = null; }

  public int du()                 // Broj elemenata liste.
    { return du(prvi); }

  public String toString()         // Tekstualni opis.
    { return toString(prvi); }

  public void naPoetak(int b)     // Dodavanje na poetak.
    { prvi = new Elem(b, prvi); }

  public void naKraj(int b)        // Dodavanje na kraj.
    { prvi = naKraj(prvi, b); }

  // itanje liste stavljajui brojeve na poetak.
  public void itaj1(int n, java.util.Scanner skn)
    { prvi = itaj1r(n, skn); }

  // itanje liste stavljajui brojeve na kraj.
  public void itaj2(int n, java.util.Scanner skn)
    { prvi = itaj2r(n, skn); }

  public void umetni(int b)        // Umetanje u ureenu listu.
    { prvi = umetni(prvi, b); }

  public void izostavi(int b)      // Izostavljanje svakog
    { prvi = izostavi(prvi, b); }  //   pojavljivanja broja.

  // POMONE REKURZIVNE METODE:
  private static int du(Elem lst)                // Broj elemenata liste.
    { return (lst != null) ? 1+du(lst.sled) : 0; }


  private static String toString(Elem lst) {      // Tekstualni opis.
    return (lst != null) ?
      lst.broj + " " + toString(lst.sled) : "";
  }

  private static Elem naKraj(Elem lst, int b) {   // Dodavanje na kraj.
    if (lst == null) return new Elem(b);
    lst.sled = naKraj(lst.sled, b);
    return lst;
  }
 
  // itanje stavljajui na poetak.
  private static Elem itaj1r(int n, java.util.Scanner skn) {
    if (n == 0) return null;
    Elem novi = new Elem(0);
    novi.sled = itaj1r(n-1, skn);
    novi.broj = skn.nextInt();
    return novi;
  }

  // itanje stavljajui na kraj.
  private static Elem itaj2r(int n, java.util.Scanner skn) {
    if (n == 0) return null;
    Elem novi = new Elem(skn.nextInt());
    novi.sled = itaj2r(n-1, skn);
    return novi;
  }

  private static Elem umetni(Elem lst, int b) {   // Umetanje u ureenu
    if (lst==null || lst.broj>=b)                 //   listu.
      return new Elem(b, lst);
    else {
      lst.sled = umetni(lst.sled, b);
      return lst;
    }
  }

  private static Elem izostavi(Elem lst, int b) { // Izostavljanje svakog
    if (lst == null) return null;                 //   pojavljivanja.
    lst.sled = izostavi(lst.sled, b);
    if (lst.broj == b) lst = lst.sled;
    return lst;
  }
}
