// MerenjeTest.java - Ispitivanje klasa fizikih veliina.

import merenje.*;

public class MerenjeTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Mera mTemp = new Mera(new Temp( 10,  50), 20),
          mPrit = new Mera(new Prit(100, 200), 20);
    radi: while (true) {
      System.out.print("Izbor (Kreni, Oitaj, Stani, Zavri)? ");
      switch (skn.next()) {
        case "k", "K" -> // Pokretanje meraa.
          { mTemp.kreni(); mPrit.kreni(); }
        case "o", "O" -> // Oitavanje meraa.
          { System.out.println("T=" + mTemp + "\np=" + mPrit); }
        case "s", "S" -> // Zaustavljanje meraa.
          { mTemp.stani(); mPrit.stani(); }
        case "z", "Z" -> // Zavretak rada.
          { break radi; }
      }
    } 
    Thread.currentThread().getThreadGroup().interrupt();
  }
}
