// OtporniciTest.java - Ispitivanje klasa otpornika.

import otpornici.*;
import java.util.Scanner;

public class OtporniciTest {
  private static Scanner skn = new Scanner(System.in);

  private static ApstraktanOtpornik itaj() { // itanje otpornika.
    return switch (skn.next().toLowerCase()) {
      case "prost"     -> new ProstOtpornik(skn.nextDouble());
      case "redna"     -> itaj(new RednaVezaOtpornika());
      case "paralelna" -> itaj(new ParalelnaVezaOtpornika());
      default          -> null;
    };
  }
  
  private static SloenOtpornik itaj(SloenOtpornik R) { // itanje
    while (true) {                                        //   sloenog
      ApstraktanOtpornik r = itaj();                     //   otpornika.
    if (r == null) return R;
      R.dodaj(r);
    }
  }

  public static void main(String[] varg) { // Glavna metoda.
    ApstraktanOtpornik R;
    while ((R = itaj()) != null)
      System.out.println (R + " = " + R.otpornost());
  }
}
