// PokretniTest.java - Ispitivanje klase pokretnih taaka.

import pokretni.*;

public class PokretniTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    System.out.print("Broj taaka? "); int n = skn.nextInt();
    Taka[] take = new Taka [n];
    for (int i=0; i<n; i++) {
      System.out.print("Koordinate take " + i + "? ");
      double x=skn.nextDouble(), y=skn.nextDouble(), z=skn.nextDouble();
      System.out.print("Komponente brzine?  ");
      double vx=skn.nextDouble(), vy=skn.nextDouble(), vz=skn.nextDouble();
      take[i] = new Taka(new Vektor(x,y,z), new Brzina(vx,vy,vz));
    }

    System.out.print("\nBroj koraka? "); int k = skn.nextInt();
    System.out.print("Trajanje koraka? "); double dt = skn.nextDouble();
    final Taka org = new Taka();
    System.out.print("ORG   " + org + "\n\n");

    for (int i=0; i<k; i++) {
      for (int j=0; j<n; take[j++].proteklo(dt));
      double min = org.rastojanje(take[0]); int m = 0;
      for (int j=1; j<n; j++) {
        double d = org.rastojanje(take[j]);
        if (d < min) { min = d; m = j; }
      }
      System.out.println(i + " " + take[m] + " " + min);
    }
  }
}
