// SekPravi.java - Formiranje sekvencijalne binarne datoteke.

import usluge.itaj;
import java.io.*;

public class SekPravi {
  public static void main(String[] varg) {
    try {
      itaj ulaz = new itaj(varg[0]);
      DataOutputStream izlaz = new DataOutputStream(
                                 new FileOutputStream(varg[1]));
      while (!ulaz.endS()) {
        int n = ulaz.IntS();
        izlaz.writeInt(n);
        for (int i=0; i<n; i++) {
          double x = ulaz.DoubleS();
          izlaz.writeDouble(x);
        }
      }
    } catch (FileNotFoundException g) {
      System.out.println("*** Greka pri otvaranju datoteke!");
    } catch (IOException g) {
      System.out.println("*** Ulazno/izlazna greka!");
    }
  }
}
