// Stek2.java - Generika klasa stekova.

import usluge.Greka;

public class Stek2<T> {
  
  private T[] niz;                                    // Stek u obliku niza.
  private int vrh;                                    // Indeks vrha steka.
  
  public Stek2(int kap) { niz = (T[])new Object [kap]; } // Inicijalizacija.
  
  public void stavi(T t) throws Greka {                 // Stavljanje.
    if (vrh == niz.length) throw new Greka("*** Stek je pun!");
    niz[vrh++] = t;
  }
  
  public T uzmi() throws Greka {                        // Uzimanje.
    if (vrh == 0) throw new Greka("*** Stek je prazan!");
    return niz[--vrh];
  }
  
  public boolean pun() { return vrh == niz.length; }     // Da li je pun?
  
  public boolean prazan() { return vrh == 0; }           // Da li je prazan?
}
