// Stek2Test.java - Ispitivanje generike klase stekova.

import figure1.Taka;

public class Stek2Test {
  public static void main(String[] varg) {
    try {
      // STEK TAAKA:
      Stek2<Taka> stkTa = new Stek2<Taka>(3);

      System.out.print("\nPunjenje   steka taaka:");
      int i = 0;
      while (!stkTa.pun()) {
        Taka t = new Taka(i,i++);
        stkTa.stavi(t);
        System.out.print(" " + t);
      }

      System.out.print("\nPranjenje steka taaka:");
      while (!stkTa.prazan()) System.out.print(" " + stkTa.uzmi());
      System.out.println();
 
      // STEK CELIH BROJEVA:
      Stek2<Integer> stkInt = new Stek2<Integer>(10); // Ne moe: Stek2<int>

      System.out.print("\nPunjenje   celobrojnog steka:");
      int j = 0;
      while (!stkInt.pun()) {
        stkInt.stavi(j);                             // Automatsko pakovanje
        System.out.print(" " + j++);
      }

      System.out.print("\nZbir elemenata celobrojnog steka: ");
      int s = 0;
      while (!stkInt.prazan()) s += stkInt.uzmi();   // Automatsko raspak.
      System.out.println(s);
    } catch (usluge.Greka g) {}
  }
}
