// Trougao2.java - Klasa trouglova.

class Trougao2 {

  private static int posId = 0;           // Poslednji identifikator.
  private int id = ++posId;               // Identifikator trougla.
  private double a, b, c;                 // Stranice trougla.

                                          // Da li su stranice prihvatljive?
  public static boolean moe(double a, double b, double c)
    { return a>0 && b>0 && c>0 && a+b>c && b+c>a && c+a>b; }

  public Trougao2(double aa, double bb, double cc) { // Stvaranje trougla.
    if (!moe(aa, bb, cc)) System.exit(1);
    a = aa; b = bb; c = cc;
  }

  public double a() { return a; }         // Dohvatanje stranica trougla.
  public double b() { return b; }
  public double c() { return c; }

  public double O() { return a + b + c; } // Obim trougla.

  public double P() {                     // Povrina trougla.
    double s = O() / 2;
    return Math.sqrt(s * (s-a) * (s-b) * (s-c));
  }

  public String toString()                // Tekstualni opis trougla.
    {  return "Troug" + id + "(" + a + "," + b + "," + c + ")"; }
}
