// Zbir2.java - Zbir dva broja u grafikom okruenju.

import java.awt.*;
import java.awt.event.*;

public class Zbir2 extends Frame {

  private TextField prvi, drugi; // Prvi i drugi sabirak.
  private Label rez;             // Rezultat.
  private Button radi;           // Pokreta raunanja.

  private Zbir2() {              // Sastavljanje prozora.
    super("Zbir 2");
    setBounds(100, 100, 220, 120);
    addWindowListener(new ProzorDogaaji());
    setLayout(new GridLayout(4, 2));
    add(        new Label("Prvi sabirak:"));
    add(prvi  = new TextField("0"));
    add(        new Label("Drugi sabirak:"));
    add(drugi = new TextField("0"));
    add(        new Label("Zbir:"));
    add(rez   = new Label("0"));
    add(        new Label());
    add(radi  = new Button("Raunaj"));
    radi.addActionListener(new RadiAkcija());
    setVisible(true);
  }

  private class RadiAkcija implements ActionListener {       // Rukovanje
    @Override                                                //   dogaajima
    public void actionPerformed(ActionEvent dog) {           //   dugmeta.
      try {
        rez.setText(Integer.toString(
          Integer.parseInt(prvi .getText()) +
          Integer.parseInt(drugi.getText())
        ));
      } catch (NumberFormatException g) { rez.setText("GREKA"); }
    } 
  }

  private class ProzorDogaaji extends WindowAdapter {      // Rukovanje
    @Override                                                //   dogaajima
    public void windowClosing(WindowEvent dog) { dispose(); }//   prozora.
  }
                                
  public static void main(String[] varg) { new Zbir2(); } // Glavna metoda.
}
