// Zbir3.java - Zbir dva broja u grafikom okruenju.

import java.awt.*;
import java.awt.event.*;

public class Zbir3 extends Frame {

  private TextField prvi, drugi; // Prvi i drugi sabirak.
  private Label rez;             // Rezultat.
  private Button radi;           // Pokreta raunanja.

  private Zbir3() {             // Sastavljanje prozora.
    super("Zbir 3");
    setBounds(100, 100, 220, 120);
    addWindowListener(new ProzorDogaaji());
    setLayout(null);
    add(new Label("Prvi sabirak:" ))  .setBounds( 20, 36, 80, 15);
    add(new Label("Drugi sabirak:"))  .setBounds( 20, 56, 80, 15);
    add(new Label("Zbir:"         ))  .setBounds( 20, 76, 80, 15);
    add(prvi  = new TextField ("0"))  .setBounds(110, 36, 70, 18);
    add(drugi = new TextField ("0"))  .setBounds(110, 56, 70, 18);
    add(rez   = new Label     ("0"))  .setBounds(110, 76, 67, 16);
    add(radi  = new Button("Raunaj")).setBounds( 60, 90, 80, 20);
    radi.addMouseListener(new RadiDogaajiMiem());
    setVisible(true);
  }

  private class RadiDogaajiMiem extends MouseAdapter {     // Rukovanje  
    @Override                                                //   dogaajima
    public void mouseClicked(MouseEvent dog) {               //   mia.
      try {
        rez.setText(Integer.toString(
          Integer.parseInt(prvi .getText()) +
          Integer.parseInt(drugi.getText())
        ));
      } catch (NumberFormatException g) { rez.setText("GREKA"); }
    } 
  }

  private class ProzorDogaaji extends WindowAdapter {       // Rukovanje
    @Override                                                //   dogaajima
    public void windowClosing(WindowEvent dog) { dispose(); }//   prozora.
  }

  public static void main(String[] varg) { new Zbir3(); } // Glavna metoda.
}
