// Taka.java - Klasa pomerljivih taaka u ravni.

package figure2;

public class Taka extends Figura {
  private double x, y;                               // Koordinate.
  
  public Taka(double a, double b) { x = a; y = b; } // Inicijalizacija.
  public Taka() {}
  
  public double x() { return x; }                    // Koordinate.
  public double y() { return y; } 
  
  @Override
  public Taka pomeri(double dx, double dy)          // Pomeranje.
    { x += dx; y += dy; return this; }
  
  @Override
  public char vrsta() { return 'T'; }                // Oznaka vrste figure.
  
  @Override
  public Taka teite() { return this; }            // Teite.
  
  @Override
  public String toString()                           // Tekstualni opis.
    { return super.toString() + "(" + x + "," + y + ")"; }
}
