// Platno.java - Klasa platna za crtanje.

package figure3;
import  java.awt.*;
import  java.awt.event.*;

public class Platno extends Canvas {
  private Crte crt =                                  // Crte na platnu.
    new Crte(Color.YELLOW, new Point(0,getHeight()), 0, 0);

  public Platno() {                                    // Inicijalizacija.
    addComponentListener(new ComponentAdapter() {      //   (obrada promene
      @Override                                        //   veliine platna)
      public void componentResized(ComponentEvent dog) {
        crt.promeniDim(getWidth(), getHeight());
      }
    });
  }

  public Platno dodaj(Figura fig)                      // Dodavanje figure.
    { crt.dodaj(fig); return this; }

  public Color boja(Point T) {                         // Boja take.
    Point TT = new Point((int)T.getX(), getHeight()-(int)T.getY());
    try { return crt.boja(TT); }
      catch (GreNePripada g) { return null;}
  }

  @Override
  public void paint(Graphics g) {            // Ponovno iscrtavanje platna.
    crt.crtaj(g, 0, getHeight());
  }
}
