// Poli.java - Klasa polinoma.

package funkcije1;

public class Poli implements Fun {
  
  private double[] koef;                // Koeficijenti polinoma.
  
  public Poli(double[] k) { koef = k; } // Inicijalizacija.

  @Override
  public double f(double x) {           // Vrednost polinoma.
    double p = 0;
    for (int i=koef.length; i>0; p = p*x+koef[--i]);
    return p;
  }
  
  public double izvod(double x) {       // Vrednost izvoda polinoma.
    double izv = 0;
    for (int i=koef.length; i>1; izv = izv*x + --i*koef[i]);
    return izv;
  }
}
