// Fun.java - Apstraktna klasa funkcija jednog realnog argumenta.

package integrali;
import usluge.Greka;

public abstract class Fun {
                                               // Vrednost funkcije.
  public abstract double f(double x) throws Greka;

  public double I(double x) throws GreNemaInt  // Neodreeni integral.
    { throw new GreNemaInt(); }
                                               // Odreeni integral:
  public final double I(double a, double b) throws Greka {
    final int N = 30;
    try {
       // - tano raunanje,
      return I(b) - I(a);
    } catch (GreNemaInt g) {
      // - priblino raunanje.
      double dx = (b-a)/N,
             s = 0;
      for (int i=0; i<N; i++)
        s += f(a+i*dx);
      return s * dx;
    }
  }
}
