// GreNemaLog.java - Klasa za greke: Nedozvoljen argument za logaritam.

package integrali;

public class GreNemaLog extends usluge.Greka {

  private double x;                          // Nedozvoljena vrednost.
                                             // Inicijalizacija:
  public GreNemaLog()                        // - bez navoenja
    { super("Logaritam negativnog broja"); } //   nedozvoljene vrednosti,
  public GreNemaLog(double x) { this.x = x; }// - navoenjem
                                             //   nedozvoljene vrednosti.
  public double x()                          // Uzimanje nedozvoljene
    { return imaPoruke() ? 1 : x; }          //   vrednosti.

  @Override
  public String toString() {                 // Tekstualni opis.
    return imaPoruke() ? super.toString()
                       : "*** Ne postoji logaritam od " + x + "!";
  }
}
