// Dan.java - Nabrajanje dana u nedelji.

package kalendar;

public enum Dan {
  PON ("pon", "ponedeljak") 
      { @Override public Dan naredni() { return UTO; } },
  UTO ("uto", "utorak"   )
      { @Override public Dan naredni() { return SRE; } },
  SRE ("sre", "sreda"    )
      { @Override public Dan naredni() { return ET; } },
  ET ("et", "etvrtak" )
      { @Override public Dan naredni() { return PET; } },
  PET ("pet", "petak"    )
      { @Override public Dan naredni() { return SUB; } },
  SUB ("sub", "subota"   )
      { @Override public Dan naredni() { return NED; } },
  NED ("NED", "NEDELJA"  )
      { @Override public Dan naredni() { return PON; } };
  
  private String oznaka, naziv;                 // Oznaka i naziv dana.
  
  Dan(String ozn, String naz)                   // Inicijalizazcija.
    { oznaka = ozn; naziv = naz; }
  
  public String oznaka() { return oznaka; }     // Oznaka dana.
  public String naziv() { return naziv; }       // Naziv dana.
  
  public abstract Dan naredni();                // Naredni dan u nedelji.
}
