// Spirala.java - Klasa spirala.

package krive;

public class Spirala implements Kriva {
  private double a;                              // Parametar spirale.
  
  public Spirala(double aa) { a = aa; }          // Inicijalizacija.
  
  public Spirala() { a = 1; }

  @Override
  public Taka t(double p)                       // Raunanje take.
    { return new Taka(a*p*Math.cos(p), a*p*Math.sin(p)); }
}
