// Du.java - Klasa dui u ravni.

package linije;

public class Du extends Linija {

  private Taka A, B;                            // Krajnje take.

  public Du(Taka P, Taka Q) { A = P; B = Q; } // Inicijalizacija.
  public Du() { A = new Taka(-1, -1); B = new Taka(1, 1); }

  @Override
  public double duina() {                       // Duina dui.
    return Math.sqrt(Math.pow(A.x()-B.x(),2) + Math.pow(A.y()-B.y(),2));
  }

  @Override
  public String toString()                       // Tekstualni opis.
    { return super.toString() + "[du: A" + A + ", B" + B + "]"; }
}
