// Linija.java - Apstraktna klasa linija u ravni.

package linije;

public abstract class Linija {

  private static int posId = 0;                // Poslednji identifikator.
  private int id = ++posId;                    // Identifikator linije.

  public int id() { return id; }               // Identifikator linije.

  public abstract double duina();             // Duina linije.

  @Override
  public String toString()                     // Tekstualni opis.
    { return Integer.toString(id); }
}
