// Taka.java  Klasa taaka u ravni.

package linije;

public class Taka {

  private double x,y;                          // Koordinate.

  public Taka(double xx, double yy)           // Inicijalizacija.
    { x = xx; y = yy; }
  public Taka(double xx) { x = xx; }
  public Taka() {}

  public double x() { return x; }              // Koordinate.
  public double y() { return y; }
 
  @Override
  public String toString()                     // Tekstualni opis.
    { return "(" + x + "," + y + ")"; }

  public static String toString(Taka[] niz) { // Tekstualni opis
    StringBuilder sb = new StringBuilder();    //   niza taaka.
    for (int i=0; i<niz.length; i++) {
      if (i > 0) sb.append(',');
      sb.append(niz[i]);
    }
    return sb.toString();
  }
}
