// Maina.java - Klasa maina.

package lutrija2;
import java.awt.*;

public class Maina extends Panel {
  private Toak[] niz;                      // Tokovi maine.
  private int n;                            // Broj korienih tokova.
  private boolean radi = false;             // Da li radi?
  private ThreadGroup niti;                 // Niti tokova.

  public Maina(int kap) {                  // Inicijalizacija.
    niz = new Toak [kap];
    for (int i=0; i<kap; i++)
      add(niz[kap-i-1] = new Toak((int)(10+Math.random()*41), i%2==0));
    niti = Thread.currentThread().getThreadGroup();
  }

  public void kreni(int n) {                // Pokretanje maine.
    if (!radi) {
      if (n<=0 || n>niz.length) n = niz.length;
      for (Toak t: niz) t.brii();
      radi = true;
      this.n = n;
      for (int i=0; i<n; i++) { niz[i].kreni(); }
    }
  }

  public String stani() {                   // Zaustavljanje maine.
    radi = false;
    String s = "";
    for (int i=0; i<n; s = niz[i++].cifra()+s);
    return s;
  }

  public void uniti()                      // Unitavanje maine.
    { niti.interrupt(); }
}
