// GreMatInd.java - Klasa za greke: Nedozvoljeni indeksi.

package matrica;

public class GreMatInd extends Exception {

  private int i, j;             // Nedozvoljeni indeksi.

  public GreMatInd(int ii, int jj) { i = ii; j = jj; } // Inicijalizacija.
  
  public int i() { return i; } // Dohvatanje nedozvoljenih indeksa.
  public int j() { return j; }

  @Override
  public String toString()     // Sastavljanje tekstualnog opisa.
    { return "*** Nedozvoljeni indeksi [" + i + "][" + j + "]"; }
}
