// Ciklus.java - Klasa ciklusa.

package naredbe;
import  izrazi.Izraz;

public class Ciklus extends Naredba {

  private Izraz izr;                         // Uslov ciklusa.
  private Naredba nar;                       // Sadraj ciklusa.
  
  public Ciklus(Izraz i, Naredba n)          // Inicijalizacija.
      { izr = i; nar = n; }

  @Override
  public void izvri()                       // Izvravanje.
    { while (izr.vr() != 0) nar.izvri(); }

  @Override
  public String toString() {                 // Tekstualni opis.
    String s = nivo + "while(" + izr + ")\n";
    nivo += "  "; s += nar; nivo = nivo.substring(2);
    return s;
  }
}
