// Selekcija.java - Klasa selekcija.

package naredbe;
import  izrazi.Izraz;

public class Selekcija extends Naredba {
  
  private Izraz izr;                         // Uslov selekcije.
  private Naredba nar1, nar2;                // Uslovno izvravane naredbe.
  
  public Selekcija(Izraz i, Naredba n1, Naredba n2) // Inicijalizacija.
    { izr = i; nar1 = n1; nar2 = n2; }

  @Override
  public void izvri()                              // Izvravanje.
    { if(izr.vr() != 0) nar1.izvri(); else nar2.izvri(); }

  @Override
  public String toString() {                        // Tekstualni opis.
    String s = nivo + "if(" + izr + ")\n";
    nivo += "  "; s += nar1; nivo = nivo.substring(2);
    s += nivo + "else\n";
    nivo += "  "; s += nar2; nivo = nivo.substring(2);
    return s;
  }
}
