// RednaVezaOtpornika.java - Klasa redno vezanih otpornika.

package otpornici;

public class RednaVezaOtpornika extends SloenOtpornik {

  @Override
  public double otpornost() {                 // Otpornost otpornika.
    double r = 0;
    for (Elem tek=prvi; tek!=null; tek=tek.sled)
      r += tek.R.otpornost();
    return r;
  }

  @Override
  protected final char otv () { return '('; } // Simboli za tekstualni
  @Override                                   //   opis.
  protected final char oper() { return '+'; }
  @Override
  protected final char zatv() { return ')'; }
}
