// Sfera.java - Klasa sfera.

package predmeti1;

public class Sfera extends Predmet {

  public static final char VR = 'S';                   // Vrsta.
  
  private double r;                                    // Poluprenik.

  public Sfera(double ss, double rr)                   // Inicijalizacija.
    { super(ss);  r = rr; }

  public Sfera() { this(1, 1); }

  @Override
  public char vr() { return VR; }                      // Vrsta.

  @Override
  public double V() { return 4./3 * r*r*r * Math.PI; } // Zapremina.

  @Override
  public void itaj(java.util.Scanner skn)             // itanje.
    { super.itaj(skn); r = skn.nextDouble(); }
  
  @Override
  public String toString()                             // Tekstualni opis.
    { return super.toString() + r + "]"; }
}
