// Artikal.java - Klasa artikala.

package prevoz;

public class Artikal extends Roba {
  private String naziv;               // Naziv artikla.
  private double vrednost, teina;    // Vrednost i teina artikla.
  
  public Artikal(String n, double v, double t)  // Inicijalizacija.
    { naziv = n; vrednost = v; teina = t; }

  @Override
  public double vrednost() { return vrednost; } // Vrednost artikla.
  
  @Override
  public double teina() { return teina; }     // Teina artikla.

  @Override
  public String toString ()                     // Tekstualni opis.
    { return naziv + "(" + vrednost + "," + teina + ")"; }
}
