// SkupPrikazivaa - Klasa skupa prikazivaa.

package prikazivai;
import java.util.ArrayList;

public class SkupPrikazivaa implements Prikaziva {

  private ArrayList<Prikaziva> prikazi        // Prikazivai u skupu.
    = new ArrayList<>();

  public void dodaj(Prikaziva p)              // Dodavanje prikazivaa.
    { prikazi.add(p); }

  public void ukloni(Prikaziva p)             // Uklanjanje prikazivaa.
    { prikazi.remove(p); }

  @Override
  public void prikai(double[] niz) {          // Prikazivanje niza.
    for (var prik : prikazi) prik.prikai(niz);
  }

  @Override
  public String toString() { return "skup"; }  // Naziv prikazivaa.
}
