// ef.java - Klasa efova.

package prodaja;

public class ef extends Radnik {
  private Radnik[] podreeni;                   // Niz podreenih.
  private int brPod = 0;                        // Broj podreenih.

  public ef(String ime, double procenat, int kap) {
    super(ime, procenat);                       // Inicijalizacija.
    podreeni = new Radnik [kap];
  }

  public boolean dodeli(Radnik r) {             // Dodela podreenog.
    if (brPod == podreeni.length) return false;
    podreeni[brPod++] = r; return true;
  }

  @Override
  public double prihod() {                      // Prihod efa.
    double p = 0;
    for (int i=0; i<brPod; p+=podreeni[i++].prihod());
    return p;
  }
}
