// Odrednica.java - Klasa odrednica u reniku.

package renik1;

public class Odrednica {
  private String pojam, prevod;             // Pojam i prevod.
  
  public Odrednica(String poj, String pre)  // Inicijalizacija.
    { pojam = poj; prevod = pre; }
  
  public String pojam() { return pojam; }   // Dohvatanje pojma i
  public String prevod() { return prevod; } //   prevoda.
  
  public boolean isti(Odrednica odr) {      // Da li su odrednice iste?
    return pojam.equals(odr.pojam) &&
           prevod.equals(odr.prevod);
  }
  
  public boolean ispred(Odrednica odr) {    // Da li je ova odrednica ispred
    return pojam.compareTo(odr.pojam)<0 ||  //   druge?
           pojam.compareTo(odr.pojam)==0 && prevod.compareTo(odr.prevod)<0;
  }
  
  public String toString()                  // Tekstualni opis odrednice.
    { return pojam + " => " + prevod; }
}
