// Radnik.java - Klasa radnika.

package skladite1;
import skladite1.greke.*;

public class Radnik extends Osoba {

  private Skladite sklad;                      // Pridrueno skladite.
  private Proizvod kalup;                       // Pridrueni kalup.

  public Radnik(String ime, Skladite s, Proizvod p) // Inicijalizacija.
    { super(ime); sklad = s; kalup = p; }
                                                // Stvaranje proizvoda.
  public Radnik proizvedi() throws GreNemaMesta, GreZapremina {
    sklad.stavi(kalup.clone());
    return this;
  }
                                                // Tekstualni opis.
  @Override
  public String toString() { return super.toString() + ": " + kalup; }
}
