// Sfera.java - Klasa sfera.

package skladite1;

public class Sfera extends Proizvod {
  private double r;                             // Poluprenik sfere.
  
  public Sfera(double rr) { r = rr; }           // Inicijalizacija.

  @Override
  public char oznaka() { return 'S'; }          // Oznaka vrste proizvoda.

  @Override
  public boolean istovetan(Uporediv u)          // Da li su istovetne.
    { return super.istovetan(u) && r==((Sfera)u).r; }
  
  @Override
  public Sfera clone()                          // Kopija sfere.
    { return (Sfera)super.clone(); }

  @Override
  public double zapremina ()                    // Zapremina sfere.
    { return 4/3. * r*r*r * Math.PI; }
  
  @Override
  public String toString ()                     // Tekstualni opis.
    { return super.toString() + "(" + r + ")"; }
}
