// Proizvoa.java - Klasa proizvoaa.

package skladite2;

public class Proizvoa extends Thread {

  private static int posId = 0;   // Poslednji identifikator.
  private final int id = ++posId; // Identifikator proizvoaa.
  private Skladite skladite;    // Pridrueno skladite.
  private int minVreme, maxVreme; // Najkrae i najdue vreme proizvodnje.
  private int broj;               // Poslednje proizvedeni podatak.

  public Proizvoa(Skladite sklad, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr;              // Inicijalizacija.
    skladite = sklad;
  }
  
  public Proizvoa(Skladite sklad) { this(sklad, 1000, 2000); }

  @Override
  public void run() {                                // Telo niti.
    System.out.println("Proizv " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
        int vredn = id*1000 + ++broj; 
        System.out.println("Proizv " + id + " stavlja " + vredn);
        skladite.stavi(vredn);
      }
    } catch (InterruptedException g) {}
    System.out.println("Proizv " + id + " zavrio");
  }
}
