// Proizvoa.java - Klasa proizvoaa.

package skladite3;
import  usluge.Polje;
import  java.awt.List;

public class Proizvoa extends Thread {

  private static int posId = 0;    // Poslednji identifikator.
  private final int id = ++posId;  // Identifikator proizvoaa.
  private Skladite skladite;     // Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme proizvodnje.
  private int broj;                // Poslednje proizvedeni podatak.
  private Polje polje;             // Polje za prikaz stanja proizvoaa.

  public Proizvoa                           // Inicijalizacija.
    (Skladite sklad, int minVr, int maxVr, Polje p) { 
    minVreme = minVr; maxVreme = maxVr; 
    skladite = sklad; polje = p;
  }

  public Proizvoa(Skladite sklad, int minVr, int maxVr) 
    { this(sklad, minVr, maxVr, null); }

  public Proizvoa(Skladite sklad) { this(sklad, 1000, 2000); }

  @Override
  public void run() {                          // Telo niti.
    try {
      while (!interrupted()) {
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
        int vredn = id*1000 + ++broj;
        if (polje != null) polje.pii(vredn);
        if (polje!=null && polje.indeks()!=-1)
          ((List)polje.komponenta()).select(polje.indeks());
        skladite.stavi(vredn);
        if (polje!=null && polje.indeks()!=-1)
          ((List)polje.komponenta()).deselect(polje.indeks());
      }
    } catch (InterruptedException g) {}
  }
}
