// Ureaj.java - Klasa elektrinih ureaja.

package struja;

public class Ureaj extends Potroa {
  private String naziv;                         // Naziv ureaja.
  private double snaga;                         // Snaga ureaja.
  
  public Ureaj(String n, double s)             // Inicijalizacija.
    { naziv = n; snaga = s; }
  
  @Override
  public double snaga() { return snaga; }       // Snaga ureaja.
  
  @Override
  public String toString()                      // Tekstualni opis.
    { return naziv + "(" + snaga + ")"; }
}
