// Ureiva.java - Klasa apstraktnih ureivaa.

package ureivanje;

public abstract class Ureiva {
  private asovnik as;                    // Sadrani asovnik.

  public Ureiva(asovnik as)            // Inicijalizacija.
    { this.as = as; }

  public void uredi(Uporediv[] u) {        // Organizovanje ureivanja.
    as.kreni();
    radi(u);
    as.stani();
  }

  protected abstract void radi(Uporediv[] niz);    // Ureivanje.
}
