// Znak.java - Klasa uporedivih znakova.

package ureivanje;

public class Znak implements Uporediv {
  private char zn;                         // Vrednost znaka.

  public Znak(char zn) { this.zn = zn; }   // Inicijalizacija.

  public char znak() { return zn; }        // Dohvatanje znaka.

  @Override
  public boolean manji(Uporediv u)         // Da li je manji?
    { return zn <  ((Znak)u).zn; }

  @Override
  public boolean isti (Uporediv u)         // Da li je isti?
    { return zn == ((Znak)u).zn; }

  @Override
  public String toString()                 // Tekstualni opis.
    { return Character.toString(zn); }
}
