// MetodaPodele.java - Klasa za ureivanje metodom podele
//                     (Quick Sort).

package ureivai2;

public class MetodaPodele extends Ureiva {

  @Override
  public void uredi() throws GrePrekinut             // Ureivanje niza.
    { uredi(0, niz.length-1); }

  private void uredi(int p, int q) throws GrePrekinut {
    if (q > p) {
      int i = p-1, j = q;
      while (true) {
        do i++; while (niz[i] < niz[q]);
        do j--; while (j>=0 && niz[j]>niz[q]);
      if (i >= j) break;
        double b = niz[i]; niz[i] = niz[j]; niz[j] = b; prikai();
      }
      double b = niz[i]; niz[i] = niz[q]; niz[q] = b; prikai();
      uredi(p, i-1); uredi(i+1, q);
    }
  }

  @Override
  public String toString()                           // Naziv algoritma.
    { return "Metoda podele"; }
}
