// MetodaZameneSuseda.java - Klasa za ureivanje metodom zamene suseda
//                           (Bubble Sort).

package ureivai2;

public class MetodaZameneSuseda extends Ureiva {

  @Override
  public void uredi() throws GrePrekinut {           // Ureivanje niza.
    int n = niz.length;
    boolean dalje = true;
    for (int i=0; i<n-1 && dalje; i++) {
      dalje = false;
      for (int j=n-2; j>=i; j--)
        if (niz[j+1] < niz[j]) {
          double p = niz[j+1]; niz[j+1] = niz[j]; niz[j] = p;
          dalje = true;
          prikai();
        }
    }
  }

  @Override
  public String toString()                           // Naziv algoritma.
    { return "Metoda zamene suseda"; }
}
