// asovnik.java - Klasa asovnika.

package usluge;
import  java.util.Calendar;

public class asovnik extends Thread {
  
  private boolean radi = false; // Da li nit treba da radi?
  private Polje datum, vreme;   // Polja za prikaz datuma i vremena.


  public asovnik(Polje d, Polje v)          // Inicijalizacija.
    { vreme = v; datum = d; start(); }

  @Override  
  public void run() {                        // TELO NITI:
    try {
      while (!interrupted()) {               // - uslovni zavretak niti,
        if (!radi) synchronized(this)        // - uslovno pauziranje niti,
          { while (!radi) wait(); }
        Calendar t = Calendar.getInstance(); // - koristan rad,
        if (vreme != null) vreme.pii(
          t.get(Calendar.HOUR_OF_DAY) + ":" +
          t.get(Calendar.MINUTE)      + ":" +
          t.get(Calendar.SECOND)
        );
        if (datum != null) datum.pii(
          t.get(Calendar.DATE)     + "." +
         (t.get(Calendar.MONTH)+1) + "." +
          t.get(Calendar.YEAR)
        );
        sleep(1000);                         // - ekanje 1000 ms.
      }
    } catch (InterruptedException g) {}
  }
  
  public void stani() { radi = false; }      // Privremeno zaustavljanje.
  
  public synchronized void kreni()           // Nastavak rada.
    { radi = true; notify(); }
  
  public void zavri() { interrupt(); }     // Zavretak rada.
}
