// itaj.java - itanje podataka standardnih tipova iz ulaznog toka,
//              iz datoteke i sa standardnog ulaza.

package usluge;
import  java.io.FileInputStream;
import  java.io.FileNotFoundException;
import  java.io.InputStream;
import  java.util.Scanner;

public class itaj {

  private Scanner skn;       // Skener itanog teksta.

  public itaj(InputStream ut) { skn = new Scanner(ut); }// Inicijalizacija
                                                         //   ulaznim tokom.
  public itaj(String ime) throws FileNotFoundException  // Inicijalizacija
    { skn = new Scanner(new FileInputStream(ime)); }     //   datotekom.
  
  public byte   ByteS    ()  // itanje jednog podatka tipa byte.
    { return skn.nextByte(); }

  public short  ShortS   ()  // itanje jednog podatka tipa short.
    { return skn.nextShort(); }

  public int    IntS     ()  // itanje jednog podatka tipa int.
    { return skn.nextInt(); }

  public long   LongS    ()  // itanje jednog podatka tipa long.
    { return skn.nextLong(); }

  public float  FloatS   ()  // itanje jednog podatka tipa float.
    { return skn.nextFloat(); }

  public double DoubleS  ()  // itanje jednog podatka tipa double.
    { return skn.nextDouble(); }

  public boolean BooleanS()  // itanje jednog podatka tipa boolean.
    { return skn.nextBoolean(); }

  public String StringS()    // itanje jedne rei.
    { return skn.next(); }

  public String LineS()      // itanje jednog reda teksta.
    { return skn.nextLine(); }

  public boolean endS() { return !skn.hasNext(); }  // Da li je kraj toka?
 
  // PODRKA ZA ITANJE SA STANDARDNOG ULAZA.

  private static itaj gl = new itaj(System.in); // Predstavnik standardnog
                                                  //   ulaza.
  public static byte    Byte   () { return gl.ByteS   (); } // Varijante
  public static short   Short  () { return gl.ShortS  (); } //   metoda koje
  public static int     Int    () { return gl.IntS    (); } //   itaju s
  public static long    Long   () { return gl.LongS   (); } //   standardnog
  public static float   Float  () { return gl.FloatS  (); } //   ulaza.
  public static double  Double () { return gl.DoubleS (); }
  public static boolean Boolean() { return gl.BooleanS(); }
  public static String  String () { return gl.StringS (); }
  public static String  Line   () { return gl.LineS   (); }
  public static boolean end    () { return gl.endS    (); }
}
