// GreVekt.java - Klasa greaka pri radu s vektorima.

package vektor1;

public class GreVekt extends Exception {
                                        // Kodovi greaka:
  public static final int OPSEG  = 0,   // - neispravan opseg indeksa,
                          INDEKS = 1,   // - indeks izvan opsega,
                          DUINA = 2;   // - neusaglaene duine vektora.
                
  private static final String[] por = { // Tekstovi poruka o grekama.
    "Neispravan opseg indeksa!",
    "Indeks je izvan opsega!",
    "Neusaglaene duine vektora!"
  };
  
  private int if;                      // ifra greke.
  
  public GreVekt(int s) { if = s; }    // Inicijalizacija.
  
  public int ifra() { return if; }    // Dohvatanje ifre.

  @Override                             // Tekstualni opis.
  public String toString() { return "*** " + por[if]; }
}
