// GreVerInd.java - Klasa za greke: Nedozvoljen indeks u verinom razlomku.

package veri;

public class GreVerInd extends Exception {
  
  private int n, i;            // Red razlomka i nedozvoljeni indeks.
  
  public GreVerInd(int n, int i)             // Inicijalizacija.
    { this.n = n; this.i = i; }
    
  public int red() { return n; }             // Dohvatanje polja.
  public int ind() { return i; }
  
  @Override
  public String toString() {                 // Tekstualni opis.
    return "GREKA: Nedozvoljen indeks " + i +
           " u verinom razlomku reda " + n;
  }
}
