// PVozilo.java - Klasa putnikih vozila.

package vozila;

public class PVozilo extends Vozilo {

  double srTe;                                 // Srednja teina putnika.
  int brPut;                                    // Broj putnika.

  public PVozilo(double st, double srt, int bp) // Inicijalizacija.
    { super(st); srTe = srt; brPut = bp; }

  @Override
  public char vrsta() { return 'P'; }           // Vrsta vozila.

  @Override
  public double teina()                        // Ukupna teina.
    { return super.teina() + srTe * brPut; }

  @Override
  public String toString()                      // Tekstualni opis.
    { return super.toString() + srTe + "," + brPut + ")"; }
}
