// NNiz.java - Klasa neureenih nizova.

package zbirke;

public class NNiz extends ANiz {
  
  @Override                              // Dodavanje elementa.
  public NNiz dodaj(int b) {
    if (n == niz.length) poveaj();
    niz[n++] = b;
    return this;
  }
  
  @Override                              // Postavljanje elementa.
  public NNiz postavi(int i, int b) throws GreIndeks  {
    if (i<0 || i>=n) throw new GreIndeks(i);
    niz[i] = b;
    return this;
  }

  @Override                              // Stvaranje iteratora.
  public IterNN iterator() { return new IterNN(); }
  
  // UNUTRANJA KLASA ITERATORA ZA NEUREENE NIZOVE.
  private class IterNN extends AIterAN {

    @Override                            // Postavljanje tekueg elementa.
    public IterNN postaviTek(int b) throws GreNemaTek {
      if (!imaTek()) throw new GreNemaTek();
      niz[tek] = b;
      return this;
    }
  }
}
