// ULista.java - Klasa ureenih listi.

package zbirke;

public class ULista extends ALista {
  
  @Override                              // Dodavanje elementa.
  public ULista dodaj(int b) {
    Elem tek = prvi, pret = null;
    while (tek!=null && tek.broj<= b) { pret = tek; tek = tek.sled; }
    novi = new Elem(b, pret); npret = pret; n++;
    return this;
  }
  
  private Elem novi, npret;   // Novododati i njemu prethodni element.
  
  @Override                              // Postavljanje elementa.
  public ULista postavi(int i, int b) throws GreIndeks {
    if (i<0 || i>=n) throw new GreIndeks(i);
    brii(i); return dodaj(b);
  }
 
  @Override                              // Stvaranje iteratora.
  public IterUL iterator()
    { return new IterUL(); }
  
  // UNUTRANJA KLASA ITERATORA ZA UREENE LISTE.
  private class IterUL extends AIterAL {
    
    @Override                            // Postavljanje tekueg elementa,
    public IterUL postaviTek(int b) throws GreNemaTek {
      if (!imaTek()) throw new GreNemaTek();
      int i = 0; for (Elem t=prvi; t!=tek; t=t.sled) i++;
      try { postavi(i, b); } catch (GreIndeks g) {}
      tek = novi; pret = npret;
      return this;
    }
  }
}
