// UNiz.java - Klasa ureenih nizova.

package zbirke;

public class UNiz extends ANiz {
  
  @Override                              // Dodavanje elementa.
  public UNiz dodaj(int b) {
    if (n == niz.length) poveaj();
    int i = n; while (i>0 && niz[i-1]>b) niz[i] = niz[--i];
    niz[i] = b; n++;
    return this;
  }
 
  @Override                              // Postavljanje elementa.
  public UNiz postavi(int i, int b) throws GreIndeks {
    if (i<0 || i>=n) throw new GreIndeks(i);
    if (b > niz[i])      while (i< n && niz[i]<b) niz[i]=niz[++i];
    else if (b < niz[i]) while (i>=0 && niz[i]>b) niz[i]=niz[--i];
    niz[i] = b; novoMesto = i;
    return this;
  }
  
  private int novoMesto;      // Mesto elementa posle promene vrednosti.

  @Override                              // Stvaranje iteratora.
  public IterUN iterator() { return new IterUN(); }

  // UNUTRANJA KLASA ITERATORA ZA UREENE NIZOVE.
  private class IterUN extends AIterAN {

    @Override                            // Postavljanje tekueg elementa.
    public IterUN postaviTek(int b) throws GreNemaTek {
      if (!imaTek()) throw new GreNemaTek();
      try { postavi(tek, b); } catch (GreIndeks g) {}
      tek = novoMesto;
      return this;
    }
  }
}
