// Zbirka.java  Interfejs sekvencijalnih zbirki.

package zbirke;

public interface Zbirka {
  
  int vel();                                     // Veliina zbirke.
  
  Zbirka dodaj(int b);                           // Dodavanje elementa.
  
  Zbirka postavi(int i, int b) throws GreIndeks; // Postavljanje elementa.
  
  int dohvati(int i) throws GreIndeks;           // Dohvatanje elementa.
  
  Zbirka brii(int i) throws GreIndeks;          // Izbacivanje elementa.
  
  Zbirka isprazni();                             // Pranjenje zbirke.
  
  Iterator iterator();                           // Stvaranje iteratora.
  
  @Override
  String toString();                             // Tekstualni opis zbirke.
}
