// Osoba.java - Klasa osoba.

package kola;

public class Osoba {
  private String ime;                       // Ime.
  private Datum ro;                        // Datum roenja.

  public Osoba(String ii, Datum rr)         // Inicijalizacija.
    { ime = ii; ro = rr; }

  Osoba staviIme(String ii)                 // Menjanje imena.
    { ime = ii; return this; }
  Osoba staviRo(Datum rr)                 // Menjanje datuma roenja.
    { ro = rr; return this; }

  String dohvIme() { return ime; }          // Dohvatanje imena.
  Datum dohvRo() { return ro; }           // Dohvatanje datum roenja.

  @Override
  public String toString()                  // Tekstualni opis.
    { return ime + " (" + ro + ")"; }
}
