// IntegraliTest.java - Ispitivanje raunanja integrala.

import integrali.*;

public class IntegraliTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    radi: while (true) {
      try {
        System.out.print("\nFunkcija (S, O, P, L, .)? ");
        Fun fun = null;
        switch (skn.next()) {
          case "s", "S" -> fun = new Sin();
          case "o", "O" -> fun = new Oscil();
          case "p", "P" -> {
            System.out.print("Red polinoma? "); int n = skn.nextInt();
            Poli p = new Poli(n);
            while (true) {
              System.out.print("Indeks i vrednost koeficijenta? ");
              int i = skn.nextInt();
            if (i<0) break;
              p.postavi(i, skn.nextDouble());
            }
            fun = p;
          }
          case "l", "L"-> fun = new Log();
          case "." -> { break radi; }
          default -> throw new usluge.Greka("Nedozvoljen izbor!");
        }
        System.out.print("Interval? ");
        System.out.println("Integral= " +
                            fun.I(skn.nextDouble(), skn.nextDouble()));
      } catch (usluge.Greka | vektor1.GreVekt g) { System.out.println(g); }
    }
  }
}
