// KalkulatorTest.java  Nezavisan program koji koristi kalkulator.

import java.awt.*;
import java.awt.event.*;

public class KalkulatorTest extends Frame {
  
  Kalkulator kalk = new Kalkulator(420, 50);   // Prozor kalkulatora.
  Label rez = new Label("", Label.CENTER);     // Oitana vrednost.
  
  private void popuniProzor() {                // Popunjavanje prozora:
    add(rez, "North");                               // - polje rezultata,
    
    Panel  ploa = new Panel(); add(ploa, "South"); // - otvaranje
    Button dugme = new Button("Otvori");             //   kalkulatora,
    ploa.add(dugme);
    dugme.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent dog) {
        kalk.setVisible(true);
      }
    });

    ploa.add(dugme = new Button("Oitaj"));         // - oitavanje
    dugme.addActionListener(new ActionListener() {   //   kalkulatora,
      @Override
      public void actionPerformed(ActionEvent dog) {
        rez.setText(Long.toString(kalk.rezultat()));
      }
    });

    ploa.add(dugme = new Button("Zatvori"));        // - zatvaranje
    dugme.addActionListener(new ActionListener() {   //   kalkulatora.
      @Override
      public void actionPerformed(ActionEvent dog) {
        kalk.setVisible(false);
      }
    });
  }
 
  private KalkulatorTest() {                     // Inicijalizacija:
    super("Neki program");
    setBounds(100, 50, 300, 200);
    popuniProzor();                              // - popunjavanje prozora,
    addWindowListener(new WindowAdapter() {
      @Override
      public void windowClosing(WindowEvent dog) // - unitavanje oba
        { kalk.dispose(); dispose(); }           //   prozora.
    });
  }

  public static void main(String[] varg) {       // Glavna metoda.
    new KalkulatorTest().setVisible(true);
  }
}
