// MatricaTest.java - Ispitivanje klase matrica realnih brojeva.

import matrica.*;

class MatricaTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Matr[] mat =  new Matr [Integer.parseInt(varg[0])];
    for (int i=0; i<mat.length; mat[i++]=new Matr());
    int m1 = 0;
    radi: while (true) {
      System.out.print(
        "\n1. Izbor matrice           5. Zbir matrica\n"     +
          "2. Unos matrice            6. Razlika matrica\n"  +
          "3. Prikaz matrice          7. Proizvod matrica\n" +
          "4. Postavljanje elementa   8. Prikaz elementa\n"  +
          "0. Kraj rada\n\n"                                 +
          "Va izbor? "
      );
      try {
        int izb = skn.nextInt();
        switch (izb) {
          case 1 -> {       // Izbor matrice:
            System.out.print("Indeks? ");
            m1 = skn.nextInt();
          }
          case 2 ->         // Unos matrice:
            mat[m1].itaj(skn);
          case 3 ->         // Prikaz matrice:
            System.out.print(mat[m1]);
          case 4 -> {       // Postavljanje elementa:
            System.out.print("Indeksi? ");
            int i = skn.nextInt(), j = skn.nextInt();
            System.out.print("Vrednost? ");
            mat[m1].postavi(i, j, skn.nextDouble());
          }
          case 5, 6, 7 -> { // Zbir, razlika i proizvod matrica:
            System.out.print("Ind. druge matr.? ");
            int m2 = skn.nextInt(); Matr m = null;
            switch (izb) {
              case 5 -> m = Matr.zbir(mat[m1],mat[m2]);
              case 6 -> m = Matr.razlika(mat[m1],mat[m2]);
              case 7 -> m = Matr.proizvod(mat[m1],mat[m2]);
            }
            System.out.print(m);
          }
          case 8 -> {       // Prikaz elementa:
            System.out.print("Indeksi? ");
            System.out.println("Vrednost= " +
                              mat[m1].dohvati(skn.nextInt(),skn.nextInt()));
          }
          case 0 ->         // Kraj rada.
            { break radi; }
          default ->        // Nedozvoljen izbor.
            throw new Exception("Nedozvoljen izbor \"" + izb + "\"");
        }
      } catch (Exception gre) {
        System.out.println(gre);
        if (gre instanceof java.util.InputMismatchException) skn.next();
      }
    }
  }
}
