// Recenice.java - Sreivanje reenica.

import java.io.*;
import java.nio.charset.Charset;

public class Recenice {
  private static void reenice(FileReader ul, PrintWriter izl) {
    boolean prvi = true;
    try {
      while (true) {
        int i = ul.read();
      if (i == -1) break;
        char zn = (char)i;
        if (Character.isUpperCase(zn))
          { if (!prvi) zn = Character.toLowerCase(zn); else prvi = false; }
        else if (Character.isLowerCase(zn))
          { if (prvi) { zn = Character.toUpperCase(zn); prvi = false; } }
        else if (zn=='.' || zn=='!' || zn=='?')
          prvi = true;
        izl.print(zn);
      }
    } catch (IOException gre) {}
  }

  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    while (true) {
      System.out.print("Ime ulazne datoteke?  ");
      String ulaz = skn.next();
    if (ulaz.equals("***")) break;
      System.out.print("Ime izlazne datoteke? ");
      String izlaz = skn.next();
    if (izlaz.equals("***")) break;
      try {
        var ul = new FileReader(ulaz, Charset.forName("UTF-8"));
        var izl = new PrintWriter(izlaz);
        reenice(ul, izl);
        ul.close();
        izl.close();
      } catch (FileNotFoundException g) {
        System.out.println("*** Datoteka ne postoji!");
      } catch (IOException e) {
        System.out.println("*** Ulazno/izlazna greka!");
      }
    }
    skn.close();
  }
}
