// Renik2Test.java - Ispitivanje klase renika.

public class Recnik2Test {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Renik2 r = Renik2.otvori("Renik2Test.dat");
    radi: while (true) {
      System.out.print("\n1. Traenje prevoda\n"      +
                         "2. Dodavanje prevoda\n"     +
                         "3. Brisanje prevoda\n"      +
                         "4. Brisanje svih prevoda\n" +
                         "5. Prikazivanje renika\n"  +
                         "0. Zavretak rada\n\n"      +
                         "Va izbor? "                  );
      String re = "", prevod = ""; String[] prevodi = null;
      switch (skn.next()) {
        case "1" -> { // Traenje prevoda:
          while (true) {
            System.out.print("Re?       "); re = skn.next();
          if (re.equals("?")) break;
            System.out.print("Prevodi:   "); 
            if ((prevodi = r.prevodi(re)) != null)
              for (int i=0; i<prevodi.length;
                   System.out.print(prevodi[i++]+" "));
            System.out.println();
          }
        }
        case  "2" -> { // Dodavanje prevoda:
          while (true) {
            System.out.print("Re?       ");   re    = skn.next();
          if (re.equals("?")) break;
            while (true) {
              System.out.print("Prevod?    "); prevod = skn.next();
            if (prevod.equals("?")) break;
              r.dodaj(re, prevod);
            }
          }
        }
        case "3" -> { // Brisanje prevoda:
          while (true) {
            System.out.print("Re?       ");   re    = skn.next();
          if (re.equals("?")) break;
            while (true) {
              System.out.print("Prevod?    "); prevod = skn.next();
            if (prevod.equals("?")) break;
              r.brii(re, prevod);
            }
          }
        }
        case "4" -> { // Brisanje svih prevoda:
          while (true) {
            System.out.print("Re?       ");   re    = skn.next();
          if (re.equals("?")) break;
            System.out.print("Prevodi:   ");
            if ((prevodi = r.prevodi(re)) != null)
              for (int i = 0; i<prevodi.length;
                   System.out.print(prevodi[i++]+" "));
            System.out.println();
            System.out.print("Brisati?   ");
            if (skn.next().equalsIgnoreCase("da")) r.brii (re);
          }
        }
        case "5" ->   // Prikazivanje renika:
          System.out.print("\n" + r);
        case "0" ->   // Kraj rada.
          { break radi; }
      }
      r.snimi();
    }
  }
}
