// StabloTest.java - Ispitivanje klase ureenih binarnih stabala.

public class StabloTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Stablo stb = new Stablo();
    radi: while (true) {
      System.out.print("\n" +
        "a) Dodavanje brojeva         Pisanje stabla:\n" +
        "b) Izostavljanje brojeva       1. koren-levo-desno\n" +
        "c) itanje stabla              2. levo-koren-desno (ureeno)\n" +
        "d) Najmanji element            3. levo-desno-koren\n" +
        "e) Najvei element             4. crtanje\n" +
        "f) Pretraivanje             i) Veliina stabla\n" +
        "g) Balansiranje              j) Zbir elemenata\n" +
        "h) Pranjenje stabla         k) Broj pojavljivanja\n" +
        "                             z) Zavretak rada\n\n" +
        "Va izbor? ");
      String izbor = skn.next();
      switch (izbor) {
        case "a", "A" ->     // Dodavanje brojeva u stablo:
        { System.out.print("Brojevi?   ");
          while (true) {
            int b = skn.nextInt();
          if (b == 9999) break;
            stb.dodaj(b);
          }
        }
        case "b", "B" ->     // Izostavljanje brojeva iz stabla:
        { System.out.print("Brojevi?   ");
          while (true) {
            int b = skn.nextInt();
          if (b == 9999) break;
            stb.izost(b);
          }
         }
        case "c", "C" ->     // itanje stabla:
        { System.out.print("Duina?    "); int n = skn.nextInt();
          System.out.print("Brojevi?   "); stb.itaj(n, skn);
        }
        case "d", "D", "e", "E" ->
        { if (!stb.prazno()) switch (izbor) {
            case "d", "D" -> // Najmanji element stabla:
              System.out.println("min=       " + stb.min());
            case "e", "E" -> // Najvei element stabla:
              System.out.println("max=       " + stb.max());
          } else System.out.println("*** Stablo je parzno! ***");
        }
        case "f", "F" ->     // Pretraivanje stabla:
        { System.out.print("Broj?      ");
          System.out.println("Broj se" +
                             (stb.nai(skn.nextInt())!=null ? "" : " NE") +
                              " nalazi u stablu.");
        }
        case "g", "G" ->     // Balansiranje stabla:
          stb.balans();
        case "h", "H" ->     // Pranjenje stabla:
          stb.prazni();
        case "i", "I" ->     // Veliina stabla:
          System.out.println("Vel=       " + stb.vel());
        case "j", "J" ->     // Zbir elemenata stabla:
          System.out.println("Zbir=      " + stb.zbir());
        case "k", "K" ->     // Broj pojavljivanja datog broja:
        { System.out.print("Broj?      ");
          System.out.println("Broj se pojavljuje " +
                             stb.pojav(skn.nextInt()) + " puta.");
        }
        case "1" ->          // Pisanje stabla koren-levo-desno:
          System.out.println("Stablo=    " + stb.niskaKLD());
        case "2" ->          // Pisanje stabla levo-koren-desno:
          System.out.println("Stablo=    " + stb.niskaLKD());
        case "3" ->          // Pisanje stabla levo-desno-koren:
          System.out.println("Stablo=    " + stb.niskaLDK());
        case "4" ->          // Crtanje stabla:
          stb.crtaj();
        case "z", "Z" ->     // Zavretak rada:
          { break radi; }
        default ->           // Pogrean izbor:
          System.out.println("*** Nedozvoljen izbor! ***");
      }
    }
  }
}
