// Stek1.java - Klasa stekova ogranienih kapaciteta.

class Stek1 {

  private int[] niz;                  // Sardaj steka.
  private int vrh = 0;                // Vrh steka.
                                      // Stvaranje steka:
  public Stek1()                      // - kapaciteta 10,
    { niz = new int [10]; }

  public Stek1(int k)                 // - zadatog kapaciteta.
    { niz = new int [k]; }

  public void stavi(int k) {          // Stavljanje podatka na vrh.
    if (vrh == niz.length) {
      System.out.print("\n*** Stek je pun ***\n");
      System.exit(1);
    }
    niz[vrh++] = k;
  }

  public int uzmi() {                 // Uzmimanje podatka s vrha.
    if (vrh == 0) {
      System.out.print("\n*** Stek je prazan ***\n");
      System.exit(2);
    }
    return niz[--vrh];
  }

  public void prazni() { vrh = 0; }                  // Pranjenje steka.

  public boolean prazan() { return vrh == 0; }       // Da li je prazan?
 
  public boolean pun() { return vrh == niz.length; } // Da li je pun?

  public String toString() {                         // Tekstualni opis.
    String s = "";                    
    for (int i=vrh; i>0; s+=niz[--i]+" ");
    return s;
  }
 
  // Glavna metoda za ispitivanje klase Stek1. =============================
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Stek1 s = new Stek1();
    while (!s.pun   ()) { s.stavi(skn.nextInt()); }
    while (!s.prazan()) { System.out.print(s.uzmi() + " "); }
    System.out.println();
  }
}
