// VozilaTest.java - Ispitivanje klasa vozila.

import vozila.*;

public class VozilaTest {
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    Vozilo[] vozila = new Vozilo [100]; int n = 0;
    radi: while (true) {
      System.out.print("\nVrsta vozila (T,P,*)? ");
 
      switch (skn.next()) {
        case "t", "T" -> {
          System.out.print("Sopstvena teina?     ");
          double sTe = skn.nextDouble();
          System.out.print("Teina tereta?        ");
          double ter  = skn.nextDouble();
          vozila[n++] = new TVozilo(sTe, ter);
        }
        case "p", "P" -> {
          System.out.print("Sopstvena teina?     ");
          double sTe  = skn.nextDouble();
          System.out.print("Sr. teina putnika?   ");
          double srTe = skn.nextDouble();
          System.out.print("Broj putnika?         ");
          int    brPut = skn.nextInt();
          vozila[n++] = new PVozilo(sTe, srTe, brPut);
        }
        case "*" -> { break radi; }
        default ->
          System.out.println("*** Nepoznata vrsta vozila!");
      }
    }
    System.out.print("\nNosivost mosta?       ");
    double nosivost = skn.nextDouble();
    System.out.print("\nMogu da preu most:\n");
    for (int i=0; i<n; i++)
      if (vozila[i].teina() <= nosivost)
        System.out.println(vozila[i] + " - " + vozila[i].teina());
  }
}
