// Figura.java - Apstraktna klasa figura u ravni.

package figure1;

public abstract class Figura {

  private Taka T;                                      // Teiste figure.
  
  public Figura()         { T = new Taka(); }          // Inicijalizacija.
  public Figura(Taka TT) { T = new Taka(TT.x, TT.y); }
  
  public final void postavi(double xx, double yy)       // Postavljanje u
    { T.x = xx; T.y = yy; }                             //   novu taku.
  
  public final void pomeri (double dx, double dy)       // Pomeranje za
    { T.x += dx; T.y += dy; }                           // dati pomak.
    
  public abstract double O();                           // Obim.
  
  public abstract double P();                           // Povrina.
  
  public void itaj(java.util.Scanner skn) { T.itaj(skn); } // itanje.
  
  @Override
  public String toString() { return "T=" + T; }         // Tekstualni opis.
}
