// Krug.java - Klasa krugova u ravni.

package figure1;

public class Krug extends Figura {

  private double r;                                     // Poluprenik.
  
  public Krug()                    { super();   r=1;  } // Inicijalizacija.
  public Krug(double rr)           { super();   r=rr; }
  public Krug(double rr, Taka tt) { super(tt); r=rr; }
  
  @Override
  public double O() { return 2 * r * Math.PI; }         // Obim.
  
  @Override
  public double P() { return r * r * Math.PI; }         // Povrina.
  
  @Override
  public void itaj(java.util.Scanner skn)              // itanje.
    { super.itaj(skn); r = skn.nextDouble(); }
  
  @Override
  public String toString() {                            // Tekstualni opis.
    return "krug [" + super.toString() + ", r=" + r + 
      ", O=" + O() + ", P=" + P() + "]"; 
  }
}
