// Mnogougao.java - Klasa pomerljivih mnogouglova u ravni.

package figure2;

public class Mnogougao extends Figura {
  Niz<Taka> tem;                                  // Temena mnogougla.
  
  public Mnogougao(int brTem)                      // Inicijalizacija.
    { tem = new Niz<Taka>(brTem); }               // - moe i Niz<>[brTem].
  public Mnogougao() { this(3); }
  
  public Mnogougao dodaj(Taka t) throws GrePun {  // Dodavanje temena.
    tem.dodaj(t); return this;
  }

  @Override
  public Mnogougao pomeri(double dx, double dy) {  // Pomeranje.
    try {
      for (int i=0; i<tem.du();
           tem.dohv(i++).pomeri(dx, dy));
    } catch (GreIndeks g) {}
    return this;
  }
 
  @Override
  public char vrsta() { return 'M'; }              // Oznaka vrste figure.

  @Override
  public Taka teite() {                         // Teite.
    double x = 0, y = 0;
    int n = tem.du();
    try {
      for (int i=0; i<n; i++)
        { x+=tem.dohv(i).x(); y+=tem.dohv(i).y(); }
    } catch (GreIndeks g) {}
    return new Taka(x/n, y/n);
  }
  
  @Override
  public String toString() {                       // Tekstualni opis.
    return super.toString() + tem;
  }
}
