// Grafik.java - Usluna klasa za grafiki prikaz funkcije.

package funkcije1;

public class Grafik {
  public static void grafik(Fun fun,
      double xmin, double xmax, int ir,
      double ymin, double ymax, int vis) {
    double dx = (xmax - xmin) / (ir - 1); // Promena x-a po koloni.
    double dy = (ymax - ymin) / (vis - 1); // Promena y-a po redu.
    int[] y = new int [ir];               // Vrednosti funkcije.
    for (int i=0; i<ir; i++) 
      y[i] = (int)Math.round(((fun.f(xmin + i * dx) - ymin) / dy));
    int yosa = (int)(-xmin / dx);          // Indeks kolne y-ose.
    int xosa = (int)(-ymin / dy);          // Indeks reda x-ose.
    for (int vrs=vis-1; vrs>=0; vrs--) {
      int poz = -1;                 // Poslednja popunjena pozicija u redu.
      for (int kol=0; kol<ir; kol++) {
        char zn = ' ';
        if      (y[kol] == vrs) zn = '*';
        else if (vrs==xosa && kol==yosa) zn = '+';
        else if (kol == yosa) zn = '|';
        else if (vrs == xosa) zn = '-';
        if (zn != ' ') {            // Da ne bude razmaka na kraju reda.
          System.out.printf("%" + (kol-poz) + "s", zn);
          poz = kol;
        }
      }
      System.out.println();
    }
  }
}
