// Ekspon.java - Klasa eksponencijalnih funkcija.

package izvodi;

public class Ekspon implements Fun {
    
  private double a, b;                       // Parametri.
    
  public Ekspon(double aa, double bb)        // Inicijalizacija.
    { a = aa; b = bb; }
    
  public Ekspon() { a = b = 1; }
      
  @Override
  public double f(double x)                  // Raunanje vrednosti.
    { return a * Math.exp(b * x); }
    
  @Override
  public Fun izv()                           // Stvaranje izvoda.
    { return new Ekspon(a*b, b); }

      
  @Override
  public String toString()                   // Tekstualni opis.
    { return a + "*exp(" + b + "*x)"; }
}
