// Monom.java - Klasa monoma.

package izvodi;

public class Monom implements Fun {
    
  private double a, b;                       // Parametri.
    
  public Monom(double aa, double bb)         // Inicijalizacija.
    { a = aa; b = bb; }
    
  public Monom() { a = b = 1; }
      
  @Override
  public double f(double x)                  // Raunanje vrednosti.
    { return a * Math.pow(x, b); }

  @Override
  public Fun izv()                           // Stvaranje izvoda.
    { return new Monom(a*b, b-1); }

      
  @Override
  public String toString()                   // Tekstualni opis.
    { return a + "*x^" + b; }
}
