// Izlomljena.java - Klasa izlomljenih linija u ravni.

package linije;

public class Izlomljena extends Linija {

  protected Taka[] tem;                   // Niz temena.

  public Izlomljena(Taka[] niz)           // Inicijalizacija nizom taaka.
      { tem = niz; }

  @Override
  public double duina() {                 // Duina izlomljene linije.
    double d = 0;
    for (int i=0; i<tem.length-1; i++)
      d += new Du(tem[i], tem[i+1]).duina();
    return d;
  }

  @Override
  public String toString() {               // Tekstualni opis.
    return super.toString()  + "[izlomljena: " +
           Taka.toString(tem) + "]";
  }
}
