// Maina.java  Klasa maina za izvlaenje.

package lutrija1;

public class Maina {
  private Toak[] niz;                     // Tokovi.
  private int n;                           // Broj aktivnih tokova.
  private boolean radi = false;            // Da li radi?

  public Maina(int kap) {                 // Inicijalizacija.
    niz = new Toak [kap];
    for (int i=0; i<kap; i++)
      niz[i] = new Toak((int)(10+Math.random()*11), i%2==0);
  }
  
  public void kreni(int n) throws GreRadi, GreDu { // Pokretanje.
    if (radi) throw new GreRadi();
    if (n<=0 || n>niz.length) throw new GreDu();
    radi = true; this.n = n;
    for (int i=0; i<n; niz[i++].kreni());
  }

  public String stani() throws GreStoji {           // Zaustavljanje
    if (!radi) throw new GreStoji();                //   sa oitavanjem
    radi = false; String s = "";                    //   stanja tokova.
    for (int i=0; i<n; s=niz[i++].slBroj()+s);
    return s;
  }
}
