// GreMatDim.java - Klasa za greke: Neusaglaene dimenzije.

package matrica;

public class GreMatDim extends Exception {

  private Matr mat1, mat2;            // Problematine matrice.

  public GreMatDim(Matr m1, Matr m2)  // Inicijalizacija.
    { mat1 = m1; mat2 = m2; }
    
  public Matr mat1() { return mat1; } // Dohvatanje problematinih
  public Matr mat2() { return mat2; } //   matrica.

  @Override
  public String toString() {          // Sastavljanje tekstualnog opisa.
    return "*** Neusaglaene dimenzije matrica [" +
           mat1.mat.length + "][" + mat1.mat[0].length + "] i [" +
           mat2.mat.length + "][" + mat2.mat[0].length + "]";
  }
}
