// Prosta.java - Klasa prostih naredbi.

package naredbe;
import  izrazi.Izraz;

public class Prosta extends Naredba {

  Izraz izr;                                 // Izraz koji se izraunava.

  public Prosta() {}                         // Prazna naredba.

  public Prosta(Izraz i) { izr = i; }        // Inicijalizacija izrazom.

  @Override
  public void izvri()                       // Izvravanje.
    { if (izr != null) izr.vr(); }

  @Override
  public String toString()                   // Tekstualni opis.
    { return nivo + (izr != null ? izr : "") + ";\n"; }
}
