// PolovnaKnjiga.java - Klasa polovnih knjiga.

package polica1;

public class PolovnaKnjiga extends Knjiga {
  private double procenat;                       // Umanjnje vrednosti.
  
  public PolovnaKnjiga(String aut, String nas, double cen, double proc)
    { super(aut, nas, cen); procenat = proc; }
  
  @Override
  public double vrednost()                       // Vrednost kjige.
    { return super.vrednost() * (1 - procenat/100); }
  
  @Override
  public String toString()                       // Tekstualni opis knjige.
    { return super.toString() + " [polovna]"; }
}
