// Predmet.java - Apstraktna klasa predmeta.

package predmeti1;

public abstract class Predmet {

  private double sigma;                                // Specifina teina.

  protected Predmet(double ss) { sigma = ss; }         // Inicijalizacija.

  protected Predmet()          { sigma = 1;  }

  public abstract char vr();                           // Vrsta.

  public abstract double V();                          // Zapremina.
  
  public double Q() { return V() * sigma; }            // Teina.

  public void itaj(java.util.Scanner skn)             // itanje.
    { sigma = skn.nextDouble(); }

  @Override
  public String toString()                             // Tekstualni opis.
    { return vr() + "[" + sigma + "|"; }
}
