// Telo.java - Apstraktna klasa tela.

package predmeti2;

 
public abstract class Telo extends Predmet {
  private double sigma;                            // Specifina teina.

  public Telo(double s) { sigma = s; }             // Inicijalizacija.

  @Override
  public final double Q() { return sigma * V(); }  // Teina.

  @Override                                        // Tekstualni opis.
  public String toString() { return super.toString() + " " + sigma; }
}
