// Konzola.java - Klasa prikazivaa nizova na konzoli.

package prikazivai;

public class Konzola implements Prikaziva {
  private int k;                                   // Broj podataka po redu.
  private String frm;                              // Format prikazivanja.

  public Konzola(int k, String frm)                // Inicijalizacija.
    { this.k = k; this.frm = frm; }

  @Override
  public void prikai(double[] niz) {              // Prikazivanje niza.
    StringBuilder sb = new StringBuilder("\n");
    int n = niz.length;
    for (int i=0; i<n; i++) {
      sb.append(String.format(frm, niz[i]))
        .append((i%k==k-1 || k==n-1) ? '\n' : ' ');
    }
    System.out.println(sb);
  }

  @Override
  public String toString() { return "konzola"; }   // Naziv prikazivaa.
}
