// Maina.java - Apstraktna klasa maina.

package radionica;
import  predmeti1.Predmet;

public abstract class Maina {
  

  protected double spTe;       // Specifina teina pravljenih predmeta.
  protected int br;             // Broj napravljenih predmeta.
   
  protected Maina(double s) { spTe = s; }  // Inicijalizacija.
  
  public abstract char vrsta();              // Vrsta pravljenih predmeta.
    
  public int broj() { return br; }           // Broj napravljenih predmeta.

  public double uzmiSpTe() { return spTe; }   // Dohvatanje spec. teine.
 
  public void postaviSpTe(double s)         // Postavljanje spec. teine.
    { spTe = s; br = 0; }
  
  public abstract Predmet napravi();         // Pravljenje predmeta.
}
