// Taka.java - Klasa taaka u ravni.

package ravan;

class Taka {

  double x, y;                    // Koordinate.
                                  // Inicijalizacija:
  Taka() {}                      // - u koordinatnom poetku,

  Taka(double x) { this.x = x; } // - na x-osi,
  
  Taka(double x, double y)       // - zadatim koordinatama.
    { this.x = x; this.y = y; }
  
  double poteg()                  // Rastojanje od koordinatnog poetka.
    { return Math.sqrt(x*x + y*y); }
  
  double rastojanje(Taka t)      // Rastojanje od zadate take.
    { return Math.sqrt(Math.pow(x-t.x,2) + Math.pow(y-t.y,2)); }
}
