// Kvadar.java - Klasa kvadara.

package skladite1;

public class Kvadar extends Proizvod {
  private double a, b, c;                         // Dimenzije kvadra.

  public Kvadar(double aa, double bb, double cc)  // Inicijalizacija.
    { a = aa; b = bb; c = cc; }
  
  @Override
  public char oznaka() { return 'K'; }            // Oznaka vrste proizvoda.

  @Override
  public boolean istovetan(Uporediv u) {          // Da li su istovetni?
    if (!super.istovetan(u)) return false;
    Kvadar k = (Kvadar)u;
    return a==k.a && b==k.b && c==k.c;
  }
  
  @Override
  public Kvadar clone()                           // Kopija kvadra.
    { return (Kvadar)super.clone(); }
  
  @Override
  public double zapremina() { return a * b * c; } // Zapremina kvadra.
  
  @Override
  public String toString()                        // Tekstualni opis.
    { return super.toString() + "(" + a + "," + b + "," + c + ")"; }
}
