// Izveta.java - Klasa izvetaa.

package skladite2;

public class Izveta extends Thread {
  private static int posId = 0;   // Poslednji identifikator.
  private final int id = ++posId; // Identifikator izvetaa.
  private Skladite skladite;    // Pridrueno skladite.
  private int perioda;            // Perioda izvetavanja.

  public Izveta(Skladite sklad, int per)          // Inicijalizacija.
    { perioda = per; skladite = sklad; }
  
  public Izveta(Skladite sklad) { this(sklad, 5000); }

  @Override
  public void run() {                                // Telo niti.
    System.out.println("Izvet " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep(perioda);
        System.out.println("Izvet " + id + " [" + skladite + "]");
      }
    } catch (InterruptedException g) {}
    System.out.println("Izvet " + id + " zavrio");
  }
}
