// Potroa.java - Klasa potroaa.

package skladite3;
import  usluge.Polje;
import java.awt.List;

public class Potroa extends Thread {
  
  private static int posId = 0;    // Poslednji identifikator.
  private final int id = ++posId;  // Identifikator potroaa.
  private Skladite skladite;     // Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrace i najdue vreme potornje.
  private Polje polje;             // Polje za prikaz stanja potroaa.

  public Potroa                              // Inicijalizacija.
    (Skladite sklad, int minVr, int maxVr, Polje p) { 
    minVreme = minVr; maxVreme = maxVr; 
    skladite = sklad; polje = p;
  }
  
  public Potroa(Skladite sklad, int minVr, int maxVr) 
    { this(sklad, minVr, maxVr, null); }
  
  public Potroa(Skladite sklad) { this(sklad, 1000, 2000); }
  
  @Override
  public void run() {                          // Telo niti.
    try {
      while (!interrupted()) {
        if (polje!=null && polje.indeks()!=-1)
          ((List)polje.komponenta()).select(polje.indeks());
        int vredn = skladite.uzmi();
        if (polje!=null && polje.indeks()!=-1)
          ((List)polje.komponenta()).deselect(polje.indeks());
        if (polje != null) polje.pii(id*100000 + vredn);
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
      }
    } catch (InterruptedException g) {}
  }
}
