// Slagalica.java - Klasa slagalica.

package slagalica;
import java.awt.*;
import java.awt.event.*;

public class Slagalica extends Frame {
  Label prik = new Label("00:00.0");            // Prikaziva toperice.
  private toperica toperica = new toperica(prik); // Koriena toperica.
  private Tabla tabla = new Tabla(toperica);   // Koriena tabla.
  
  public Slagalica() {                          // Inicijalizacija.
    super("Slagalica");
    setSize(220, 220);
    setResizable(false);
    popuniProzor();
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      @Override
      public void windowClosing(WindowEvent dog)
        { toperica.zavri(); dispose(); }
    });
  }
  
  private void popuniProzor() {                 // Popunjavanje prozora.
    add(tabla, "Center");
    Panel plo = new Panel(); add(plo, "South");
    Button dgm = new Button("Nova igra");
    plo.add(dgm);
    dgm.addActionListener(dog -> { tabla.postavi(); });
    plo.add(prik);
  }

  public static void main(String[] varg)        // Glavna metoda.
    { new Slagalica(); }
}
