// asovnik.java - Klasa aktivnih asovnika.

package ureivanje;

public class asovnik extends Thread {
  private int dt;                          // Interval ispisivanja.
  private char zn;                         // Ispisivani znak.
  private boolean radi = false;            // Da li treba da radi?

  public asovnik(int dt, char zn)         // Inicijalizacija.
    { this.dt = dt; this.zn = zn; start(); }

  @Override
  public void run() {                      // TELO NITI:
    try {
      while (!interrupted()) {             // - uslovni zavretak niti,
        synchronized (this)                // - uslovno pauziranje niti,
          { if (!radi) wait(); }
        sleep(dt);                         // - ekanje neko vreme,
        System.out.print(zn);              // - koristan rad.
      }
    } catch (InterruptedException g) {}
  }

  public synchronized void stani()         // Privremeno zaustavljanje.
    { radi = false; }

  public synchronized void kreni()         // Nastavak rada.
    { radi = true; notify(); }

  public void zavri()                     // Zavretak niti.
    { interrupt(); }
}
