// MetodaPodele.java - Klasa za ureivanje metodom podele
//                     (Quick Sort).

package ureivai1;
import  usluge.Uporediv;

public class MetodaPodele implements Ureiva {
  
  @Override
  public void uredi(Uporediv[] niz)     // Ureivanje niza.
    { uredi(niz, 0, niz.length-1); }

  private void uredi(Uporediv[] a, int p, int q) {
    if (q > p) {
      int i = p-1, j = q;
      while (true) {
        do i++; while (a[i].ispred(a[q]));
        do j--; while (j>=0 && a[q].ispred(a[j]));
      if (i >= j) break;
        Uporediv b = a[i]; a[i] = a[j]; a[j] = b;
      }
      Uporediv b = a[i]; a[i] = a[q]; a[q] = b;
      uredi(a, p, i-1); uredi(a, i+1, q);
    }
  }
  
  @Override
  public String toString()              // Naziv algoritma.
    { return "Metoda podele"; }
}
