// MetodaZameneSuseda.java - Klasa za ureivanje metodom zamene suseda
//                          (Bubble Sort).

package ureivai1;
import  usluge.Uporediv;

public class MetodaZameneSuseda implements Ureiva {
  
  @Override
  public void uredi(Uporediv[] niz) {   // Ureivanje niza.
    int n = niz.length;
    boolean dalje = true;
    for (int i=0; i<n-1 && dalje; i++) {
      dalje = false;
      for (int j=n-2; j>=i; j--)
        if (niz[j+1].ispred(niz[j])) {
          Uporediv p = niz[j+1]; niz[j+1] = niz[j]; niz[j] = p;
          dalje = true;
        }
    }
  }
  
  @Override
  public String toString()              // Naziv algoritma.
    { return "Metoda zamene suseda"; }
}
