// MetodaIzbora.java - Klasa za ureivanje metodom izbora
//                     (Selection Sort).

package ureivai2;

public class MetodaIzbora extends Ureiva {

  @Override
  public void uredi() throws GrePrekinut {           // Ureivanje niza.
    int n = niz.length;
    for (int i=0; i<n-1; i++)
      for (int j=i+1; j<n; j++) {
        if (niz[j] < niz[i]) {
          double p = niz[i]; niz[i] = niz[j]; niz[j] = p;
          prikai();
        }
      }
  }

  @Override
  public String toString()                           // Naziv algoritma.
    { return "Metoda izbora"; }
}
