// MetodaUmetanja.java - Klasa za ureivanje metodom umetanja
//                       (Insertion Sort).

package ureivai2;

public class MetodaUmetanja extends Ureiva {

  @Override
  public void uredi() throws GrePrekinut {           // Ureivanje niza.
    int n = niz.length;
    for (int i=1; i<n; i++) {
      int j = i - 1;
      while (j>=0 && niz[j+1] < niz[j]) {
        double p = niz[j+1]; niz[j+1] = niz[j]; niz[j--] = p;
        prikai();
      }
    }
  }

  @Override
  public String toString()                           // Naziv algoritma.
    { return "Metoda umetanja"; }
}
