// Greka.java - Osnovna klasa za greke.

package usluge;

public class Greka extends Exception {

  private String por;                           // Tekst poruke.
                                                // Inicijalizacija:
  public Greka() {}                            // - bez poruke,
  public Greka(String p) { por = p; }          // - s porukom.

  @Override
  public String toString()                      // Tekstualni opis.
    { return "*** " + (por != null ? por : "GREKA"); }

  protected boolean imaPoruke()                 // Ima li poruke?
    { return por != null; }
}
