// Figura.java - Klasa apstraktnih figura.

package vatromet;

public abstract class Figura {

  protected Scena scena;                           // Koriena scena.

  protected Figura(Scena s)                        // Inicijalizacija.
    { (scena = s).dodaj(this); }

  public abstract void crtaj();                    // Crtanje figure.

  public void uniti() { scena.izbaci(this); }     // Izbacivanje iz scene.
}
