// Lokomot.java - Klasa lokomotiva.

package voz;

public class Lokomot extends Vozilo {

  private double vSila;                         // Vuna sila.

  public Lokomot(double st, double vs)          // Inicijalizacija.
    { super(st); vSila = vs; }

  @Override
  public double vunaSila() { return vSila; }   // Vuna sila.
  
  @Override
  public String toString()                      // Tekstualni opis.
    { return "L(" + ukTeina() + "|" + vSila + ")"; }
}
