// Niz.java - Generika klasa nizova.

package voz;

public class Niz<E> {

  private E[] niz;                              // Niz elemenata.
  private int du = 0;                          // Duina niza.

  @SuppressWarnings ("unchecked")
  public Niz(int kap)                           // Stvaranje praznog niza.
    { niz = (E[])new Object [kap]; }
  
  public int duina() { return du; }           // Duina niza.
  
  Niz<E> dodaj(E t) throws GrePun {             // Dodavanje elementa.
    if (du == niz.length) throw new GrePun();
    niz[du++] = t;
    return this;
  }
 
  E dohvati(int i) throws GreIndeks {           // Pristup elementu.
    if (i<0 || i>=du) throw new GreIndeks();
    return niz[i];
  }
}
