// TVozilo.java - Klasa teretnih vozila.

package vozila;

public class TVozilo extends Vozilo {

  private double teret;                         // Teina tereta.

  public TVozilo(double st, double t)           // Inicijalizacija.
    { super(st); teret = t; }

  @Override
  public char vrsta() { return 'T'; }           // Vrsta vozila.
  
  @Override
  public double teina()                        // Ukupna teina.
    { return super.teina() + teret; }

  @Override
  public String toString()                      // Tekstualni opis.
    { return super.toString() + teret + ")"; }
}
