// Vozilo.java - Apstraktna klasa vozila.

package vozila;

public abstract class Vozilo {

  private double sopTe;                        // Sopstvena teina.

  public Vozilo(double st) { sopTe = st; }     // Inicijalizacija.

  public abstract char vrsta();                 // Vrsta vozila.

  public double teina() { return sopTe; }     // Ukupna teina.

  @Override
  public String toString()                      // Tekstualni opis.
    { return vrsta() + "(" + sopTe + ","; }
}
