// Igra.java - Apstraktna klasa igraa.

package xox;

public abstract class Igra {
  private String oznaka;                 // Oznaka igraa.
  protected Tabla tabla;                 // Tabla na kojoj se igra.
  
  public Igra(String ozn, Tabla tbl) {  // Inicijalizacija.
    oznaka = ozn; tabla = tbl;
  }
                                         // Biranje polja.
  public abstract int birajPolje() throws InterruptedException;
                                         // Izvoenje poteza.
  public void odigrajPotez() throws InterruptedException {
    while (true) {
      try { tabla.postaviOznaku(birajPolje(), oznaka); return; }
        catch (GreNeMoe g) {}
    }
  }
}
