// Iterator.java  Interfejs iteratora sekvencijalnih zbirki.

package zbirke;

public interface Iterator {
  
  Iterator naPoetak();                    // Pomeranje na poetak zbirke.
  
  Iterator naSledei();                    // Pomeranje na sledei element.
  
  boolean imaTek();                              // Ima li tekueg?
  
  int dohvatiTek() throws GreNemaTek;            // Dohvatanje tekueg.
  
  Iterator postaviTek(int b) throws GreNemaTek;  // Postavljanje tekueg.
  
  Iterator briiTek() throws GreNemaTek;         // Izbacivanje tekueg.
}
