// NLista.java - Klasa neureenih listi.

package zbirke;

public class NLista extends ALista {
  
  @Override                              // Dodavanje elementa.
  public NLista dodaj(int b)
    { new Elem(b, posl); n++; return this; }
  
  @Override                              // Postavljanje elementa.
  public NLista postavi(int i, int b) throws GreIndeks
    { nai(i).broj = b; return this; }

  @Override                              // Stvaranje iteratora.
  public IterNL iterator()
    { return new IterNL(); }

  // UNUTRANJA KLASA ITERATORA ZA NEUREENE LISTE.
  private class IterNL extends AIterAL {

    @Override                            // Postavljanje tekueg elementa.
    public IterNL postaviTek(int b) throws GreNemaTek {
      if (!imaTek()) throw new GreNemaTek();
      tek.broj = b;
      return this;
    }
  }
}
