// ak.java - Klasa aka. 

package kola;

public class ak extends Osoba {
  private Lista<Ispit> ispiti = new Lista<>();      // Lista ispita.

  public ak(String ime, Datum ro)                 // Inicijalizacija.
    { super(ime, ro); }

  public ak dodaj(Ispit isp)                       // Dodavanje ispita.
    { ispiti.dodaj(isp); return this; }

  public double srOce() {                           // Srednja ocena.
    double s = 0; int n = 0;
    try {
      for (ispiti.naPrvi(); ispiti.imaTek(); ispiti.naSled()) {
        int k = ispiti.dohvTek().dohvOce();
        if (k > 5) { s += k; n++; }
      }
    } catch (GreNemaTek e) {}
    return n!=0 ? s/n : 0;
  }

  @Override
  public String toString()                          // Tekstualni opis.
    { return super.toString() + ": " + srOce(); }
}
